CREATE TABLE USERS
(
  ID       BIGSERIAL    NOT NULL PRIMARY KEY,
  USERNAME VARCHAR(255) NOT NULL,
  PASSWORD VARCHAR(255) NOT NULL,
  ENABLED  BOOLEAN      NOT NULL DEFAULT TRUE,
  NAME     VARCHAR(255) NOT NULL,
  LASTNAME VARCHAR(255) NOT NULL,
  EMAIL    VARCHAR(255) NOT NULL
);

CREATE TABLE AUTHORITIES
(
  ID      BIGSERIAL   NOT NULL PRIMARY KEY,
  USER_ID BIGINT REFERENCES USERS,
  ROLE    VARCHAR(60) NOT NULL
);

COMMIT;
